Bug 24519 - Change calculation and validation in Point of Sale should match Paycollect
Summary: Change calculation and validation in Point of Sale should match Paycollect
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 22359 24482
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-01-27 15:15 UTC by Martin Renvoize
Modified: 2021-02-11 22:40 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01,20.05.07


Attachments
Bug 24519: Match paycollect form validation for change collection (2.02 KB, patch)
2020-03-02 16:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24519: Match paycollect form validation for change collection (2.09 KB, patch)
2020-03-03 13:42 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24519: Match paycollect form validation for change collection (2.11 KB, patch)
2020-11-17 11:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24519: Match paycollect form validation for change collection (2.17 KB, patch)
2020-12-16 16:47 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-01-27 15:15:08 UTC
Bug 22359 updates the paycollect form logic to clarify each input fields use and adds validation to reduce the risk of errant data being entered.

The point of sale screen payment form should match these changes.
Comment 1 Martin Renvoize 2020-03-02 16:47:42 UTC
Created attachment 99948 [details] [review]
Bug 24519: Match paycollect form validation for change collection

This patch adds form validation to the Point Of Sale payment page such
that one cannot submit the form with a 'collected' value that is less
than the 'owed' amount.
Comment 2 PTFS Europe Sandboxes 2020-03-03 13:42:24 UTC
Created attachment 100008 [details] [review]
Bug 24519: Match paycollect form validation for change collection

This patch adds form validation to the Point Of Sale payment page such
that one cannot submit the form with a 'collected' value that is less
than the 'owed' amount.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-07-06 21:17:17 UTC
Please rebase!
Comment 4 Martin Renvoize 2020-11-17 11:09:40 UTC
Created attachment 113701 [details] [review]
Bug 24519: Match paycollect form validation for change collection

This patch adds form validation to the Point Of Sale payment page such
that one cannot submit the form with a 'collected' value that is less
than the 'owed' amount.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 5 Josef Moravec 2020-12-16 16:47:03 UTC
Created attachment 114453 [details] [review]
Bug 24519: Match paycollect form validation for change collection

This patch adds form validation to the Point Of Sale payment page such
that one cannot submit the form with a 'collected' value that is less
than the 'owed' amount.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2020-12-21 09:20:00 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2020-12-28 14:34:56 UTC
Pushed to 20.11.x for 20.11.01
Comment 8 Andrew Fuerste-Henry 2020-12-28 21:25:13 UTC
pushed to 20.05.x for 20.05.07
Comment 9 Victor Grousset/tuxayo 2020-12-30 14:07:57 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.